############################################################
#Leitprogramm Kapiteltest Kapitel 4
#
#
#K. Rosin (Oktober 2008)
############################################################


#-----------------------------------------------------------
#A
#-----------------------------------------------------------

#Frage 1
    N_PFAD <- "E:/R/Kapiteltest/Daten/Stickstoff.csv"
    N1 <- read.table(N_PFAD, sep = ";", dec= ",", header = T)
    names(N1)
    head(N1)

#Frage 2
    mean(N1$N, na.rm = T)

#Frage 3
    N2 <- na.omit(N1)

#Frage 4
    a <- c(3, 7, 9, -99999, -99999, 6)
    ob_NA <- a == -99999
    a[ob_NA] <- NA

#Frage 5
    Naehr_PFAD <- "E:/R/Kapiteltest/Daten/Naehrstoffe.csv"
    Naehr <- read.table(Naehr_PFAD, sep = ";", dec= ",", header = T)
    names(Naehr)
    head(Naehr)

    ob_Naehr <- (Naehr$Phosphat >= 0.06) & (Naehr$Nitrat >= 1.5)
    Naehr_Abfrage <- Naehr[ob_Naehr,]

    Reihe1 <- order(-rank(Naehr$Ort))
    Naehr_Sort <- Naehr[Reihe1,]


#-----------------------------------------------------------
#B
#-----------------------------------------------------------

#Frage 1
    N_PFAD <- "E:/R/Kapiteltest/Daten/Stickstoff.csv"
    N1 <- read.table(N_PFAD, sep = ";", dec= ",", header = T)
    names(N1)
    head(N1)

#Frage 2
    mean(N1$NH4, na.rm = T)

#Frage 3
    N2 <- na.omit(N1)

#Frage 4
    a <- c(-99999, 1, 4, 0, -99999, 15)
    ob_NA <- a == -99999
    a[ob_NA] <- NA

#Frage 5
    Naehr_PFAD <- "E:/R/Kapiteltest/Daten/Naehrstoffe.csv"
    Naehr <- read.table(Naehr_PFAD, sep = ";", dec= ",", header = T)
    names(Naehr)
    head(Naehr)

    ob_Naehr <- (Naehr$Phosphat <= 0.03) & (Naehr$Nitrat <= 2)
    Naehr_Abfrage <- Naehr[ob_Naehr,]

    Reihe1 <- order(-Naehr$Phosphat,-Naehr$Nitrat)
    Naehr_Sort <- Naehr[Reihe1,]


#-----------------------------------------------------------
#C
#-----------------------------------------------------------

#Frage 1
    N_PFAD <- "E:/R/Kapiteltest/Daten/Stickstoff.csv"
    N1 <- read.table(N_PFAD, sep = ";", dec= ",", header = T)
    names(N1)
    head(N1)

#Frage 2
    mean(N1$NO3, na.rm = T)

#Frage 3
    N2 <- na.omit(N1)

#Frage 4
    a <- c(0, -9999, -9999, 1, -9999, 6)
    ob_NA <- a == -9999
    a[ob_NA] <- NA

#Frage 5
    Chloro_PFAD <- "E:/R/Kapiteltest/Daten/Chlorophyll.csv"
    Chloro <- read.table(Chloro_PFAD, sep = ";", dec= ",", header = T)
    names(Chloro)
    head(Chloro)

    ob_Chloro <- (Chloro$Mittel >= 3) | (Chloro$Max >= 10)
    Chloro_Abfrage <- Chloro[ob_Chloro,]

    Reihe1 <- order(-rank(Chloro$Station))
    Chloro_Sort <- Chloro[Reihe1,]



#-----------------------------------------------------------
#D
#-----------------------------------------------------------

#Frage 1
    N_PFAD <- "E:/R/Kapiteltest/Daten/Stickstoff.csv"
    N1 <- read.table(N_PFAD, sep = ";", dec= ",", header = T)
    names(N1)
    head(N1)

#Frage 2
    mean(N1$NO2, na.rm = T)

#Frage 3
    N2 <- na.omit(N1)

#Frage 4
    a <- c(-999, 7, 9, -999, 6, -999)
    ob_NA <- a == -999
    a[ob_NA] <- NA

#Frage 5
    Chloro_PFAD <- "E:/R/Kapiteltest/Daten/Chlorophyll.csv"
    Chloro <- read.table(Chloro_PFAD, sep = ";", dec= ",", header = T)
    names(Chloro)
    head(Chloro)

    ob_Chloro <- (Chloro$Mittel <= 3) | (Chloro$Max <= 10)
    Chloro_Abfrage <- Chloro[ob_Chloro,]

    Reihe1 <- order(-Chloro$Mittel,-Chloro$Max)
    Chloro_Sort <- Chloro[Reihe1,]

