############################################################
#Leitprogramm Kapiteltest Kapitel 7
#
#
#K. Rosin (Oktober 2008)
############################################################


#-----------------------------------------------------------
#A
#-----------------------------------------------------------

#Daten
    DUCK_PFAD <- "E:/R/Kapiteltest/Daten/Duck_Creek.csv"
    Duck <- read.table(DUCK_PFAD, sep = ";", dec= ",", header = T)
    names(Duck)
    head(Duck)

    HU_PFAD <- "E:/R/Kapiteltest/Daten/HydroU.csv"
    HU <- read.table(HU_PFAD, sep = ";", dec= ",", header = T)
    names(HU)
    HU[1:10,]

#Frage 1
    dbinom(0,50,1/100)
    pbinom(3,50,1/100)

#Frage 2
    a_Du <- mean(Duck$Abfluss) - 0.4500535 * sd(Duck$Abfluss)
    b_Du <- sqrt(6)/pi * sd(Duck$Abfluss)

#install.packages("evd")
    require(evd)
    ks.test(Duck$Abfluss, "pgumbel", a_Du, b_Du)

#Frage 3
    TMAI_Modell <- lm (HU$TMAI ~ HU$HOEHE)
    DIAG_PFAD <- "E:/R/Kapiteltest/temp/Diagnostik.bmp"
    bmp(DIAG_PFAD, width = 500, height = 500)
        par(mfrow = c(2,2))
        plot(TMAI_Modell, which = c(1,2,4,5))
    dev.off()


#-----------------------------------------------------------
#B
#-----------------------------------------------------------

#Daten
    DUCK_PFAD <- "E:/R/Kapiteltest/Daten/Duck_Creek.csv"
    Duck <- read.table(DUCK_PFAD, sep = ";", dec= ",", header = T)
    names(Duck)
    head(Duck)

    HU_PFAD <- "E:/R/Kapiteltest/Daten/HydroU.csv"
    HU <- read.table(HU_PFAD, sep = ";", dec= ",", header = T)
    names(HU)
    HU[1:10,]

#Frage 1
    dbinom(0,100,1/500)
    pbinom(2,100,1/500)

#Frage 2
    require(MASS)
    Fit_Du  <- fitdistr(Duck$Abfluss, "lognormal")
    mlog_Du <- as.numeric(Fit_Du$estimate[1])
    slog_Du <- as.numeric(Fit_Du$estimate[2])

    ks.test(Duck$Abfluss, "plnorm", mlog_Du, slog_Du)

#Frage 3
    TMAI_Modell <- lm(HU$TMAI ~ HU$HOEHE)
    DIAG_PFAD <- "E:/R/Kapiteltest/temp/Diagnostik.bmp"
    bmp(DIAG_PFAD, width = 500, height = 500)
        par(mfrow = c(2,2))
        plot(TMAI_Modell, which = c(1,2,4,5))
    dev.off()


#-----------------------------------------------------------
#C
#-----------------------------------------------------------

#Daten
    SURP_PFAD <- "E:/R/Kapiteltest/Daten/Surprise_Creek.csv"
    Surp <- read.table(SURP_PFAD, sep = ";", dec= ",", header = T)
    names(Surp)
    head(Surp)

    HU_PFAD <- "E:/R/Kapiteltest/Daten/HydroU.csv"
    HU <- read.table(HU_PFAD, sep = ";", dec= ",", header = T)
    names(HU)
    head(HU)

#Frage 1
    dbinom(0,100,1/200)
    pbinom(3,100,1/200)

#Frage 2
    a_Su <- mean(Surp$Abfluss) - 0.4500535 * sd(Surp$Abfluss)
    b_Su <- sqrt(6)/pi * sd(Surp$Abfluss)

#install.packages("evd")
    require(evd)
    ks.test(Surp$Abfluss, "pgumbel", a_Su, b_Su)

#Frage 3
    TAUG_Modell <- lm (HU$TAUG ~ HU$HOEHE)
    DIAG_PFAD <- "E:/R/Kapiteltest/temp/Diagnostik.bmp"
    bmp(DIAG_PFAD, width = 500, height = 500)
        par(mfrow = c(2,2))
        plot(TAUG_Modell, which = c(1,2,4,5))
    dev.off()


#-----------------------------------------------------------
#D
#-----------------------------------------------------------

#Daten
    SURP_PFAD <- "E:/R/Kapiteltest/Daten/Surprise_Creek.csv"
    Surp <- read.table(SURP_PFAD, sep = ";", dec= ",", header = T)
    names(Surp)
    head(Surp)

    HU_PFAD <- "E:/R/Kapiteltest/Daten/HydroU.csv"
    HU <- read.table(HU_PFAD, sep = ";", dec= ",", header = T)
    names(HU)
    head(HU)

#Frage 1
    dbinom(0,40,1/80)
    pbinom(2,40,1/80)

#Frage 2
    require(MASS)
    Fit_Su  <- fitdistr(Surp$Abfluss, "lognormal")
    mlog_Su <- as.numeric(Fit_Su$estimate[1])
    slog_Su <- as.numeric(Fit_Su$estimate[2])

    ks.test(Surp$Abfluss, "plnorm", mlog_Su, slog_Su)

#Frage 3
    TAUG_Modell <- lm (HU$TAUG ~ HU$HOEHE)
    DIAG_PFAD <- "E:/R/Kapiteltest/temp/Diagnostik.bmp"
    bmp(DIAG_PFAD, width = 500, height = 500)
        par(mfrow = c(2,2))
        plot(TAUG_Modell, which = c(1,2,4,5))
    dev.off()
