############################################################
#Leitprogramm Lernkontrolle Kapitel 7
#
#
#K. Rosin (Oktober 2008)
############################################################


#-----------------------------------------------------------
#Frage 1
#-----------------------------------------------------------

    dbinom(0,80,1/200)


#-----------------------------------------------------------
#Frage 2
#-----------------------------------------------------------

    1 - pbinom(2,80,1/200)


#-----------------------------------------------------------
#Frage 3
#-----------------------------------------------------------

    EMME_PFAD <- "E:/R/3_Daten/Emmenmatt.csv"
    Emme <- read.table(EMME_PFAD, sep = ";", dec = ",", header = T)
    names(Emme); dim(Emme)
    head(Emme)

    require(MASS)
    Fit_DAUER <- fitdistr(Emme$Dauer,"exponential")
    r_DAUER <- as.numeric(Fit_DAUER$estimate[1])


#-----------------------------------------------------------
#Frage 4
#-----------------------------------------------------------

    ks.test(Emme$Dauer,"pexp", r_DAUER)


#-----------------------------------------------------------
#Frage 5
#-----------------------------------------------------------

    HUG_PFAD <- "E:/R/3_Daten/HydroUG.csv"
    HUG <- read.table(HUG_PFAD, sep = ";", dec = ",", header = T)
    names(HUG); dim(HUG)
    head(HUG)

    MAI_Modell <- lm(HUG$Q06 ~ HUG$QMAI06)

    ANN_MAI_PFAD <- "D:/Prop/R/temp/Annahmen_MAI_Modell.bmp"
    bmp(ANN_MAI_PFAD, width = 600, height = 600)
    par(mfrow = c(2, 2))
        plot(MAI_Modell, which = c(1,2,4,5))
    dev.off()


