############################################################
#Leitprogramm Kapiteltest Kapitel 6
#
#
#K. Rosin (Oktober 2008)
############################################################


#-----------------------------------------------------------
#A
#-----------------------------------------------------------

    ION_PFAD <- "E:/R/Kapiteltest/Daten/Weil_Metallionen.csv"
    Ion <- read.table(ION_PFAD, sep = ";", dec= ",", header = T)
    names(Ion)
    head(Ion)

#Frage 1
    median(Ion$Ca)
    quantile(Ion$Ca, c(0.05, 0.1, 0.9, 0.95))

#Frage 2
    n <- length(Ion$Ca)
    Femp <- 1:n/(n+1)
    SORT <- sort(Ion$Ca)

    GRAFIK_PFAD <- "E:/R/Kapiteltest/temp/Femp_Boxplot.bmp"
    bmp(GRAFIK_PFAD, width = 400, height = 800)
    par(mfrow = c(2,1))
        plot(SORT, Femp, xlim = c(40,70), ylim = c(0,1),
            xlab = "Ca[mg/l]", ylab = "Femp[-]", type = "s")
        boxplot(Ion$Ca, horizontal = T, ylim = c(40,70), xlab = "Ca[mg/l]")
    dev.off()

#Frage 3
    Ion1 <- Ion[,-1]
    cor(Ion1)


#-----------------------------------------------------------
#B
#-----------------------------------------------------------

    ION_PFAD <- "E:/R/Kapiteltest/Daten/Weil_Metallionen.csv"
    Ion <- read.table(ION_PFAD, sep = ";", dec= ",", header = T)
    names(Ion)
    head(Ion)

#Frage 1
    sd(Ion$K)
    quantile(Ion$K, c(0.05, 0.1, 0.9, 0.95))

#Frage 2
    n <- length(Ion$K)
    Femp <- 1:n/(n+1)
    SORT <- sort(Ion$K)

    GRAFIK_PFAD <- "E:/R/Kapiteltest/temp/Femp_Boxplot.bmp"
    bmp(GRAFIK_PFAD, width = 400, height = 800)
    par(mfrow = c(2,1))
        plot(SORT, Femp, xlim = c(1.2,2.8), ylim = c(0,1),
            xlab = "K[mg/l]", ylab = "Femp[-]", type = "s")
        boxplot(Ion$Ca, horizontal = T, ylim = c(1.2,2.8), xlab = "K[mg/l]")
    dev.off()

#Frage 3
    Ion1 <- Ion[,-1]
    cor(Ion1)


#-----------------------------------------------------------
#C
#-----------------------------------------------------------

    ION_PFAD <- "E:/R/Kapiteltest/Daten/Weil_Metallionen.csv"
    Ion <- read.table(ION_PFAD, sep = ";", dec= ",", header = T)
    names(Ion)
    head(Ion)

#Frage 1
    median(Ion$Mg)
    quantile(Ion$Mg, c(0.05, 0.1, 0.9, 0.95))

#Frage 2
    n <- length(Ion$Mg)
    Femp <- 1:n/(n+1)
    SORT <- sort(Ion$Mg)

    GRAFIK_PFAD <- "E:/R/Kapiteltest/temp/Femp_Boxplot.bmp"
    bmp(GRAFIK_PFAD, width = 400, height = 800)
    par(mfrow = c(2,1))
        plot(SORT, Femp, xlim = c(40,70), ylim = c(0,1),
            xlab = "Mg[mg/l]", ylab = "Femp[-]", type = "s")
        boxplot(Ion$Ca, horizontal = T, ylim = c(40,70), xlab = "Mg[mg/l]")
    dev.off()

#Frage 3
    Ion1 <- Ion[,-1]
    cor(Ion1)


#-----------------------------------------------------------
#D
#-----------------------------------------------------------

    ION_PFAD <- "E:/R/Kapiteltest/Daten/Weil_Metallionen.csv"
    Ion <- read.table(ION_PFAD, sep = ";", dec= ",", header = T)
    names(Ion)
    head(Ion)

#Frage 1
    sd(Ion$Na)
    quantile(Ion$Na, c(0.05, 0.1, 0.9, 0.95))

#Frage 2
    n <- length(Ion$Na)
    Femp <- 1:n/(n+1)
    SORT <- sort(Ion$Na)

    GRAFIK_PFAD <- "E:/R/Kapiteltest/temp/Femp_Boxplot.bmp"
    bmp(GRAFIK_PFAD, width = 400, height = 800)
    par(mfrow = c(2,1))
        plot(SORT, Femp, xlim = c(40,70), ylim = c(0,1),
            xlab = "Na[mg/l]", ylab = "Femp[-]", type = "s")
        boxplot(Ion$Ca, horizontal = T, ylim = c(40,70), xlab = "Na[mg/l]")
    dev.off()

#Frage 3
    Ion1 <- Ion[,-1]
    cor(Ion1)


